unit Derived2;

{******************************************************************************
 Unit Name:	 Derived2
 Description:Derived2 contains a class derived from TBase (unit Base) and that
 						 provides polymorphic creation.
 Author:     M. Venturini
 Revisor:
 Date:       17 Feb. 97
 Revision:
******************************************************************************}

interface

uses
 	Base;

type

  {A generic derived class...}
	TDerived2 = class(TBase)
    {...}
  protected
		class function Match(const Info: TObject): Boolean; override;
    {...}
  end;

implementation

{The class method Match is required to examin creational infos. If they match
 the requirements for this class true is returned.                            }
class function TDerived2.Match(const Info: TObject): Boolean;
begin

	with Info as TBaseCreateInfo do
		Result := (Key = 2);

end;

initialization

	{The class must be registered}
	TDerived2.Register;

end.

